{% load config menu header thumbnail thumbdrive %}
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">
<html>
<head>
<meta http-equiv="Content-type" content="text/html; charset=utf-8" />
<title>{% setting SITE TITLE %}</title>
<meta name="description" content="{% setting SITE DESCRIPTION %}" />
<meta name="keywords" content="{% setting SITE KEYWORDS %}" />

<link rel="stylesheet" href="{{ MEDIA_URL }}css/screen.css?version=8" type="text/css" media="screen"  />
<!--[if IE]><link rel="stylesheet" href="{{ MEDIA_URL }}css/ie.css" type="text/css" media="screen" /><![endif]-->

<link rel="stylesheet" href="{% url menus-menu_css %}" type="text/css" media="screen"  />
{% get_menuitem request as item %}{% if item %}
<link rel="stylesheet" href="{% url menus-item_css item.pk %}" type="text/css" media="screen"  />
{% endif %}

{% block extrastyle %}{% endblock %}

<script type="text/javascript" src="{{MEDIA_URL}}js/jquery/jquery.js"></script>
<script type="text/javascript" src="{{MEDIA_URL}}js/raphael.js"></script>
<script type="text/javascript" src="{{MEDIA_URL}}js/cufon/cufon.js"></script>
<script type="text/javascript" src="{{MEDIA_URL}}js/fonts/Gotham_Rounded_Light_300.font.js"></script>
{#<script type="text/javascript" src="{{MEDIA_URL}}js/fonts/Gotham_Rounded_Book_325.font.js"></script>#}

<script type="text/javascript">
// <![CDATA[
media_url = webroot = '{{MEDIA_URL}}';
// ]]>
</script>

<script type="text/javascript" src="{{MEDIA_URL}}js/util.js"></script>
<script type="text/javascript" src="{{MEDIA_URL}}js/scroller.js"></script>
<script type="text/javascript" src="{{MEDIA_URL}}js/main.js"></script>

{% block extrahead %}{% endblock %}

<script type="text/javascript" charset="utf-8">
$(function() {
    $('#main-menu > ul > li > a').each(function() {
        $(this).not('.active').next().filter('ul.submenu').hide().removeClass('active');
    }).click(function() {
        var $ul = $(this).next().filter('ul.submenu');
        $('#main-menu ul.active').not($ul).slideUp('fast').removeClass('active').prev().removeClass('active');
        if ($ul.length > 0 ) {
            if ($ul.is('.active')) {
                $ul.hide().removeClass('active');
                $(this).removeClass('active');
            } else {
                $ul.slideDown('fast').addClass('active');
                $(this).addClass('active');
            }
            return false;
        }
    });
    $('#main-menu ul ul a.active').closest('ul').show().addClass('active').prev().addClass('active');
});
</script>

{% block analytics %}
<script type="text/javascript">
  var _gaq = _gaq || [];
  _gaq.push(['_setAccount', 'UA-24080825-1']);
  {# Thumbdrive tracker #}
  {% thumbdrive_tracker request %}
  _gaq.push(['_trackPageview']);

  (function() {
    var ga = document.createElement('script'); ga.type = 'text/javascript'; ga.async = true;
    ga.src = ('https:' == document.location.protocol ? 'https://ssl' : 'http://www') + '.google-analytics.com/ga.js';
    var s = document.getElementsByTagName('script')[0]; s.parentNode.insertBefore(ga, s);
  })();
</script>
{% endblock %}
</head>
<body>
<div id="wrap">
    {% block header %}
    <div id="header">
        <h1 id="logo"><a href="{% url homepage %}"><img src="{{MEDIA_URL}}img/logo.png" alt="{% setting SITE TITLE %}" /></a></h1>
        
        {% block menu %}
        <div id="menu">
            {% main_menu %}
            
            <div id="submenus">
            {% block submenu %}
            {% header_image as himg %}
            {% if himg %}<img src="{% thumbnail himg.filename 535x205  crop,detail,upscale %}" alt="" id="header-image" />{% endif %}
            {% endblock %}
            </div>
        </div>
        {% endblock %}

        {% block subtitle %}
        <h2 class="subtitle"></h2>
        {% endblock %}
        {% setting SITE EMAIL as email %}
        <div id="tagline">{% block tagline %}<div class="default message">{% setting SITE ADDRESS %} <span class="sep">|</span> {% setting SITE PHONE %} {% if email %}<span class="sep">|</span> {{email}}{% endif %}</div>{% endblock %}
        </div>
    </div> 
    {% endblock %}

    <div id="content">
    {% block content %}
    {% endblock %}
    </div>
</div>
</body>
</html>
